<html devsite><head>
    <title>允许的 Android 9 版本字符串</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>如 <a href="android-9-cdd.pdf">Android 9 兼容性定义</a>第 3.2.2 节所述，只允许针对系统属性 <code>android.os.Build.VERSION.RELEASE</code> 使用特定字符串。这是因为应用和网站可能依赖于此字符串的可预测值，以便最终用户能够轻松可靠地识别其设备上运行的 Android 版本。</p>
<p>由于 Android 软件的后续版本可能会修改该字符串，但不会更改任何 API 行为，因此这类版本可能不会附带新的兼容性定义文档。此页面列出了基于 Android 9 的系统允许使用的版本。对于 Android 9 而言，只允许针对 <code>android.os.Build.VERSION.RELEASE</code> 使用以下值：</p>
<ul>
<li>9</li>
</ul>

</body></html>